Subject: [bug#38546] [PATCH v5] Julia: Update to 1.3.1

From: Nicolò Balzarotti <[email-masked]>
Date: Tue, 17 Mar 2020 14:37:53 +0100

Hi,

I looked at it.  THe patch is literally a one-line change[1] they make
to support RFC 3986.  According to [2], the patch has been ported to
fedora http-parser.  Our version is different form the one bundled in
libgit2, but deleting the corresponding line (see snippet) libgit2 tests
are now passing.  However, this http-parser test is failing:

*** http_parser_parse_url("http://hostname:/") "proxy empty port" test failed, unexpected rv 0 ***

I opened an issue upstream here [3] so that if they fix it we can
continue unbundling it without having to patch it ourselves.

Hope they decide to upstream it

I'll send updates if there are news on the issue,
thanks, Nicolò.

#+name: http-parser.patch
#+begin_src diff
diff -u a/http_parser.c b/http_parser.c
--- a/http_parser.c	2020-03-17 14:05:53.542832960 +0100
+++ b/http_parser.c	2020-03-17 14:05:21.810382406 +0100
@@ -2394,7 +2394,6 @@
     case s_http_host_v6_zone_start:
     case s_http_host_v6_zone:
-    case s_http_host_port_start:
     case s_http_userinfo:
     case s_http_userinfo_start:
       return 1;
     default:
#+end_src

[1] https://github.com/libgit2/libgit2/commit/1bbdec69bef50208f77f0c4cbac7c6b56c35973f.patch
[2] https://github.com/libgit2/libgit2/issues/5436#issuecomment-593773122
[3] https://github.com/nodejs/http-parser/issues/501

Marius Bakke <[email-masked]> writes:

> Efraim Flashner <[email-masked]> writes:
>
>>> In the meanwhile, reding arch bug-tracker [2] I saw that libgit2 depends
>>> on http-parser (USE_HTTP_PARSER).  Should we unbundle it from git?
>>
>> That sounds like a separate issue, but a good idea.
>
> We used to unbundle it up until libgit2 0.99.0, because the release
> notes said that their fork is incompatible with the released version of
> http-parser.
>
> We should look into what the compatibility issues are before unbundling
> it again.  Maybe it's not relevant for Guix.